<template>
  <div>
    <div class="layout-content-padding">
      <div class="layout-content-main">
        <el-tabs v-model="activeName" @tab-click="_changeTabs">
          <el-tab-pane label="样品送样" name="report">
            <sendSamplerReceive ref="reportTabs" />
          </el-tab-pane>
          <el-tab-pane label="历史任务" name="his">
            <historyTask ref="hisTabs" />
          </el-tab-pane>
        </el-tabs>
      </div>
    </div>
  </div>
</template>
<script>
import sendSamplerReceive from './tabs/sendSamplerReceive'
import historyTask from './tabs/historyTask'

export default {
  components: { sendSamplerReceive, historyTask },
  data() {
    return {
      activeName: 'report'
    }
  },
  mounted() {
    this.activeName = 'report'
    this._page()
  },
  methods: {
    _changeTabs(tab, event) {
      if (tab.name === 'report') {
        this._page()
      } else {
        this.$refs.hisTabs._clearPage()
        this.$refs.hisTabs._page()
      }
    },
    _page() {
      this.$refs.reportTabs._clearPage()
      this.$refs.reportTabs._page()
    }
  }
}
</script>
